Bug 1325939 - SSH provisioning fails when sql logging level is set to 'error'
Summary: SSH provisioning fails when sql logging level is set to 'error'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Orchestration
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Ivan Necas
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-11 12:57 UTC by Bryan Kearney
Modified: 2019-04-01 20:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:29:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 13769 None None None 2016-04-22 15:41:44 UTC

Description Bryan Kearney 2016-04-11 12:57:14 UTC
Current logger calls return `true`|`false` depending whether the current level
allows the logging message or not.

In the orchestration, we happened to have the logger call as the last
call of the orchestration method (https://github.com/theforeman/foreman/blob/1.10.1/app/models/concerns/orchestration/ssh_provision.rb#L66).

When the method returns non-true value, it's considered as failure and the whole thing
tries to get rollbacked.

Comment 1 Bryan Kearney 2016-04-11 12:57:15 UTC
Created from redmine issue http://projects.theforeman.org/issues/13769

Comment 2 Bryan Kearney 2016-04-11 12:57:18 UTC
Upstream bug assigned to inecas@redhat.com

Comment 3 Bryan Kearney 2016-07-26 15:25:24 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 4 Bryan Kearney 2016-07-26 15:30:46 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 6 pm-sat@redhat.com 2017-02-12 09:16:57 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/13769 has been resolved.

Comment 7 Kedar Bidarkar 2017-11-22 17:23:21 UTC
~]# cat /etc/foreman/settings.yaml | grep -A 10 "Log settings"
# Log settings for the current environment can be adjusted by adding them
# here. For example, if you want to increase the log level.
:logging:
  :level: error

# Individual logging types can be toggled on/off here
:loggers:
  :ldap:
    :enabled: true


Tried to Provision a VM on AWS/EC2 via Finish template and was able to successfully provision one and also get the VM to do the SSH configuration on it.

VERIFIED with sat63-snap24

Will attach few screenshots shortly

Comment 10 Bryan Kearney 2018-02-21 16:45:46 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 11 Bryan Kearney 2018-02-21 17:29:40 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.